> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer.projectmanager.com/api-reference/me/retrieve-me/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.projectmanager.com/_mcp/server. # Retrieve Me GET https://api.projectmanager.com/api/data/me Retrieve information about the currently logged on user. This API call will always succeed with a 200 OK if called with valid authentication information. If the authentication information provided is not valid, calling this API will return a 401 Authentication Failed error message. If successful, this API returns information about the user including its home URL, email address, user name, and workspace name. Reference: https://developer.projectmanager.com/api-reference/me/retrieve-me ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Headers - `x-integration-name` (string, optional) — The name of the calling system passed along as a header parameter ## Response ### 200 Success - `error` (AstroError, optional, nullable) — If the API call failed, this will contain information about the error that occurred. - `success` (boolean, optional) — True if the API call succeeded; false otherwise. - `hasError` (boolean, optional) — True if the API call failed. - `statusCode` (enum, optional) — The HTTP code of the response. - Allowed values: `Continue`, `SwitchingProtocols`, `Processing`, `EarlyHints`, `OK`, `Created`, `Accepted`, `NonAuthoritativeInformation`, `NoContent`, `ResetContent`, `PartialContent`, `MultiStatus`, `AlreadyReported`, `IMUsed`, `MultipleChoices`, `MovedPermanently`, `Found`, `SeeOther`, `NotModified`, `UseProxy`, `Unused`, `TemporaryRedirect`, `PermanentRedirect`, `BadRequest`, `Unauthorized`, `PaymentRequired`, `Forbidden`, `NotFound`, `MethodNotAllowed`, `NotAcceptable`, `ProxyAuthenticationRequired`, `RequestTimeout`, `Conflict`, `Gone`, `LengthRequired`, `PreconditionFailed`, `RequestEntityTooLarge`, `RequestUriTooLong`, `UnsupportedMediaType`, `RequestedRangeNotSatisfiable`, `ExpectationFailed`, `MisdirectedRequest`, `UnprocessableEntity`, `Locked`, `FailedDependency`, `UpgradeRequired`, `PreconditionRequired`, `TooManyRequests`, `RequestHeaderFieldsTooLarge`, `UnavailableForLegalReasons`, `InternalServerError`, `NotImplemented`, `BadGateway`, `ServiceUnavailable`, `GatewayTimeout`, `HttpVersionNotSupported`, `VariantAlsoNegotiates`, `InsufficientStorage`, `LoopDetected`, `NotExtended`, `NetworkAuthenticationRequired` - `data` (WorkSpaceUserInfoDto, optional) — Information about a currently logged in user. You can call the RetrieveMe API to gather information about the current user. ## Types ### AstroError Information about an error that occurred within the ProjectManager API. - `technicalError` (string, optional, nullable) — A technical description of the error that occurred. Not suitable for display to end users. - `additionalErrors` (list of string, optional, nullable) — If additional errors beyond the main error in `Message` occurred, they will be listed here as individual messages. - `validationErrors` (map from string to list of string, optional, nullable) — This contains a dictionary of validation errors. The key is the name of the field - `message` (string, optional, nullable) — A description of the error that occurred. If your application has a user interface, show this message to explain what went wrong. ### WorkSpaceUserInfoDto Information about a currently logged in user. You can call the RetrieveMe API to gather information about the current user. - `links` (WorkSpaceLinksDto, optional) — A collection of shortcut links for the currently logged in Workspace. - `emailAddress` (string, optional) — The email address of the currently logged in user. - `id` (string, optional) — The unique identity of the currently logged in user. - `fullName` (string, optional) — The full name of the currently logged in user. - `workSpaceId` (string, optional) — The id of the workspace the user is currently logged into. - `workSpaceName` (string, optional) — The name of the Workspace that the current user has logged onto. For most companies, the workspace name will be the name of the business. - `roleName` (string, optional) — The user's role within the current Workspace. - `isGlobalAdmin` (boolean, optional, nullable) — True if this user is considered a global administrator of the current Workspace. - `isAccountAdministrator` (boolean, optional, nullable) — True if this user is considered an account administrator of the current Workspace. - `permissions` (WorkSpacePermissionsDto, optional) — Workspace Permissions that the user has within the current Workspace. - `workSpaceStatus` (string, optional) — The current account status of this WorkSpace. This can be one of four statuses: - Trial - Active - Cancelled - Expired - `workSpacePricingType` (integer, optional) — This is pricing type of workspace - `workSpaceHasScheduledChanges` (boolean, optional) — This is true if workspace has scheduled changes - `workSpaceIsActive` (boolean, optional) — This is true if the WorkSpace is in the Active or Trial state. - `workSpaceCountry` (string, optional) — The name of the country that the current Workspace is located in. - `workSpaceCountryCode` (string, optional) — Returns the iso country code for the current workspace. - `workspaceCulture` (string, optional) — The culture code (e.g., "en-US") used for formatting and localization in the workspace. - `workspaceCurrencySymbol` (string, optional) — The currency symbol used for currency formatting in the workspace (e.g., "$" for USD, "€" for EUR). - `workspaceCurrency` (string, optional) — The name of the currency used for currency formatting in the workspace (e.g., "USD" for US Dollar, "EUR" for Euro). - `userCulture` (string, optional) — The culture code (e.g., "en-US") used for formatting and localization for the user. - `location` (string, optional) — The location of the user, which is a combination of city, state (US Only), and country. - `entitlements` (list of EntitlementDto, optional) — The entitlements active for this Workspace. Each entry is either a boolean switch or a numeric limit. - `isSocial` (boolean, optional) — True if the user signed in via a social provider (Google, Apple, or Microsoft). - `workspaceCurrencyCulture` (string, optional, deprecated) — The culture code used for currency formatting in the workspace. - `userCurrencyCulture` (string, optional, deprecated) — The culture code used for currency formatting for the user. ### WorkSpaceLinksDto A shortcut link within the currently logged in Workspace. - `project` (string, optional) — The name of the project for this link. - `workSpaceApi` (string, optional) — This is the link to the api for this business. Some endpoints may need this value. ### WorkSpacePermissionsDto Workspace permission flags (same shape as RetrieveMe `permissions`). Use `true`/`false`; omit or null means off for role create. - `inviteUser` (boolean, optional, nullable) — True if this user can Add people to the account - `editAccount` (boolean, optional, nullable) — True if this user can Edit the accounts and billing page - `editRole` (boolean, optional, nullable) — True if this user can Edit role security settings - `editAllProjects` (boolean, optional, nullable) — True if this user can edit all projects and timesheets - `editCost` (boolean, optional, nullable) — True if this user can See hourly rates, costs and budgets - `editHoliday` (boolean, optional, nullable) — True if this user can Set team holidays - `editUserField` (boolean, optional, nullable) — True if this user can Create and edit tags, skills, and teams - `editAllTimesheets` (boolean, optional, nullable) — True if this user can Edit team timesheets - `approveTimesheet` (boolean, optional, nullable) — True if this user can Approve timesheets - `setUpBoardWorkflow` (boolean, optional, nullable) — True if this user can Set up board workflow - `editProjectField` (boolean, optional, nullable) — True if this user can Edit project and portfolio settings - `exportProject` (boolean, optional, nullable) — True if this user can Export projects - `viewUser` (boolean, optional, nullable) — True if this user can Access the Manage Users page - `editIntegration` (boolean, optional, nullable) — True if this user can Manage Integrations - `createProject` (boolean, optional, nullable) — True if this user Can create projects and groups - `editUser` (boolean, optional, nullable) — True if this user can Edit user profiles, roles and emails - `viewMyBoard` (boolean, optional, nullable) — True if this user can View personal board - `changeOwnEmail` (boolean, optional, nullable) — True if this user can Edit their own email address - `useMcp` (boolean, optional, nullable) — True if this user can access work from ChatGPT and Claude via OAuth ### EntitlementDto Represents a single entitlement for the current Workspace. - `shortId` (string, optional) — The unique identifier for this entitlement. - `name` (string, optional) — The human-readable name of the entitlement. - `type` (string, optional) — Indicates whether this is a boolean toggle ("switch") or a numeric cap ("limit"). - `enabled` (boolean, optional, nullable) — For switch-type entitlements, indicates whether the feature is enabled. Null for limit-type entitlements. - `limit` (double, optional, nullable) — For limit-type entitlements, the numeric cap value. Null for switch-type entitlements. ## Examples **Response** ```json { "error": { "technicalError": "string", "additionalErrors": [ "string" ], "validationErrors": {}, "message": "string" }, "success": true, "hasError": true, "statusCode": "Continue", "data": { "links": { "project": "string", "workSpaceApi": "string" }, "emailAddress": "string", "id": "string", "fullName": "string", "workSpaceId": "string", "workSpaceName": "string", "roleName": "string", "isGlobalAdmin": true, "isAccountAdministrator": true, "permissions": { "inviteUser": true, "editAccount": true, "editRole": true, "editAllProjects": true, "editCost": true, "editHoliday": true, "editUserField": true, "editAllTimesheets": true, "approveTimesheet": true, "setUpBoardWorkflow": true, "editProjectField": true, "exportProject": true, "viewUser": true, "editIntegration": true, "createProject": true, "editUser": true, "viewMyBoard": true, "changeOwnEmail": true, "useMcp": true }, "workSpaceStatus": "string", "workSpacePricingType": 1, "workSpaceHasScheduledChanges": true, "workSpaceIsActive": true, "workSpaceCountry": "string", "workSpaceCountryCode": "string", "workspaceCulture": "string", "workspaceCurrencySymbol": "string", "workspaceCurrency": "string", "userCulture": "string", "location": "string", "entitlements": [ { "shortId": "string", "name": "string", "type": "string", "enabled": true, "limit": 1.1 } ], "isSocial": true, "workspaceCurrencyCulture": "string", "userCurrencyCulture": "string" } } ``` **SDK Code** ```python import requests url = "https://api.projectmanager.com/api/data/me" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.projectmanager.com/api/data/me'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.projectmanager.com/api/data/me" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.projectmanager.com/api/data/me") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.projectmanager.com/api/data/me") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.projectmanager.com/api/data/me', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.projectmanager.com/api/data/me"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.projectmanager.com/api/data/me")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```